package chess4j.board.directions;

import chess4j.board.Square;

public class East extends Direction {

	private static East INSTANCE = new East();
	
	private East() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().east(), sq.rank());
	}
	
	public static East getInstance() {
		return INSTANCE;
	}
}
